Class | Termtter::CommandLine
In: | lib/plugins/another_prompt.rb lib/plugins/defaults/command_line.rb
Parent: | Object

### Methods

call call_prompt prompt start start start_input_thread stop stop trap_setting wait_keypress

### Included Modules

Singleton Singleton

### Constants

STTY_ORIGIN | = | `stty -g`.chomp
TIOCGWINSZ | = | 0x5413

### Public Class methods

start()
stop()

### Public Instance methods

call(command_text)
call_prompt(command)
prompt()
start()
start_input_thread()
stop()
trap_setting()
wait_keypress()

[Validate]